TopicConnection (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms

## Interface TopicConnection

- All Superinterfaces:
    java.lang.AutoCloseable, javax.jms.Connection, javax.jms.TopicConnection

      public interface TopicConnection
      extends javax.jms.TopicConnection

  Provide interface to create a MQ NO_ACKNOWLEDGE Topic Session.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.jms.TopicSession` | `createTopicSession(int acknowledgeMode)` Creates a `TopicSession` object.

    - ### Methods inherited from interface javax.jms.TopicConnection

      `createConnectionConsumer, createDurableConnectionConsumer, createTopicSession`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createTopicSession

          javax.jms.TopicSession createTopicSession(int acknowledgeMode)
                                             throws javax.jms.JMSException

      Creates a `TopicSession` object.
      Parameters:
        `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, and `com.sun.messaging.jms.Session.NO_ACKNOWLEDGE`
      Returns:
        a newly created session
      Throws:
        `JMSException` - if the `TopicConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
        `javax.jms.JMSException`
      See Also:
        `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, `Session.NO_ACKNOWLEDGE`

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.